PCP_COMMON_OPTIONS(1)

NAME
pcp_common_options - common options used in PCP commands

SYNOPSIS

pcp_command [option...]

DESCRIPTION

There are some arguments common to all PCP commands. Most of these are for authentication and the rest are about verbose mode, debug message, and so on.

OPTIONS

-h hostname
--host=hostname
    The host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix-domain socket.

-p port
--port=port
    The PCP port number (default:"9898").

-U username
--username=username
    The user name for PCP authentication (default: OS user name).

-w
--no-password
    Never prompt for password (should happen automatically). And if a password is not available by a .pcppass file, the connection attempt will fail. This option can be useful in batch jobs and scripts where no user is present to enter a password.

-W
--password
    Force password prompt.

-d
--debug
    Enable debug message.

-v
--verbose
    Enable verbose output.

-V
--version
    Print the command version, then exit.

-?
--help
    Shows help for the command line arguments, then exit.

ENVIRONMENT

PCPPASSFILE
    Specifies the path to pcp password file.